CVC4::AscriptionType Class Reference

A class used to parameterize a type ascription. More...

`#include <ascription_type.h>`

## Public Member Functions

| AscriptionType (Type t) throw ()
Type | getType () const throw ()
bool | operator== (const AscriptionType &other) const throw ()
bool | operator!= (const AscriptionType &other) const throw ()

## Detailed Description

A class used to parameterize a type ascription.

For example, "nil :: list<nat>" is an expression of kind APPLY_TYPE_ASCRIPTION. The parameter is an ASCRIPTION_TYPE-kinded expression with an AscriptionType payload. (Essentially, all of this is a way to coerce a Type into the expression tree.)

Definition at line 33 of file ascription_type.h.

## Constructor & Destructor Documentation

## AscriptionType()

CVC4::AscriptionType::AscriptionType | ( | Type | t | ) |
throw | ( | ) |  |  |

inline

Definition at line 36 of file ascription_type.h.

## Member Function Documentation

## getType()

Type CVC4::AscriptionType::getType | ( |  | ) | const
throw | ( | ) |  |  |

inline

Definition at line 37 of file ascription_type.h.

Referenced by CVC4::AscriptionTypeHashFunction::operator()(), and CVC4::operator<<().

## operator!=()

bool CVC4::AscriptionType::operator!= | ( | const AscriptionType & | other | ) | const
throw | ( | ) |  |  |

inline

Definition at line 41 of file ascription_type.h.

## operator==()

bool CVC4::AscriptionType::operator== | ( | const AscriptionType & | other | ) | const
throw | ( | ) |  |  |

inline

Definition at line 38 of file ascription_type.h.

The documentation for this class was generated from the following file:

- src/util/ascription_type.h